Skip to content

Commit

Permalink
Add build scripts and yamato configs from 7eed659
Browse files Browse the repository at this point in the history
  • Loading branch information
joncham authored and UnityAlex committed Mar 16, 2021
1 parent 845fe83 commit 8630796
Show file tree
Hide file tree
Showing 53 changed files with 4,764 additions and 0 deletions.
17 changes: 17 additions & 0 deletions .yamato/build_android.sh
Original file line number Diff line number Diff line change
@@ -0,0 +1,17 @@
git submodule update --init --recursive
cp .yamato/config/Stevedore.conf ~/Stevedore.conf
cd external/buildscripts
./bee
cd ../..

perl external/buildscripts/build_runtime_android.pl --stevedorebuilddeps=1
if [ $? -eq 0 ]
then
echo "mono build script ran successfully"
else
echo "mono build script failed" >&2
exit 1
fi

mkdir -p incomingbuilds/android
cp -r builds/* incomingbuilds/android/
14 changes: 14 additions & 0 deletions .yamato/build_android.yml
Original file line number Diff line number Diff line change
@@ -0,0 +1,14 @@
name: build_android

agent:
type: Unity::VM::osx
image: platform-foundation/mac-bokken:latest
flavor: m1.mac

commands:
- .yamato/build_android.sh

artifacts:
android:
paths:
- incomingbuilds/android/**
25 changes: 25 additions & 0 deletions .yamato/build_linux_x64.sh
Original file line number Diff line number Diff line change
@@ -0,0 +1,25 @@
sudo apt-get install -y schroot
sudo apt-get install -y binutils debootstrap
git submodule update --init --recursive
# try again in case previous update failed
git submodule update --init --recursive
export UNITY_THISISABUILDMACHINE=1
cd external/buildscripts
./bee
cd ../..

perl external/buildscripts/build_runtime_linux.pl -build64=1 --stevedorebuilddeps=1
if [ $? -eq 0 ]
then
echo "mono build script ran successfully"
else
echo "mono build script failed" >&2
exit 1
fi

echo "Making directory incomingbuilds/linux64"
mkdir -p incomingbuilds/linux64
ls -al incomingbuilds/linux64
echo "Copying builds to incomingbuilds"
cp -r builds/* incomingbuilds/linux64/
ls -al incomingbuilds/linux64
14 changes: 14 additions & 0 deletions .yamato/build_linux_x64.yml
Original file line number Diff line number Diff line change
@@ -0,0 +1,14 @@
name: build_linux_x64

agent:
type: Unity::VM
image: platform-foundation/linux-ubuntu-18.04-mono-bokken:latest
flavor: b1.large

commands:
- .yamato/build_linux_x64.sh

artifacts:
linux64:
paths:
- incomingbuilds/linux64/**
23 changes: 23 additions & 0 deletions .yamato/build_linux_x86.sh
Original file line number Diff line number Diff line change
@@ -0,0 +1,23 @@
git submodule update --init --recursive
export UNITY_THISISABUILDMACHINE=1
# try again in case previous update failed
git submodule update --init --recursive
cd external/buildscripts
./bee
cd ../..

perl external/buildscripts/build_runtime_linux.pl -build64=0 --stevedorebuilddeps=1
if [ $? -eq 0 ]
then
echo "mono build script ran successfully"
else
echo "mono build script failed" >&2
exit 1
fi

echo "Making directory incomingbuilds/linux32"
mkdir -p incomingbuilds/linux32
ls -al incomingbuilds/linux32
echo "Copying builds to incomingbuilds"
cp -r -v builds/* incomingbuilds/linux32/
ls -al incomingbuilds/linux32
14 changes: 14 additions & 0 deletions .yamato/build_linux_x86.yml
Original file line number Diff line number Diff line change
@@ -0,0 +1,14 @@
name: build_linux_x86

agent:
type: Unity::VM
image: platform-foundation/linux-ubuntu-18.04-mono-bokken:latest
flavor: b1.large

commands:
- .yamato/build_linux_x86.sh

artifacts:
linux32:
paths:
- incomingbuilds/linux32/**
21 changes: 21 additions & 0 deletions .yamato/build_osx_classlibs.sh
Original file line number Diff line number Diff line change
@@ -0,0 +1,21 @@
git submodule update --init --recursive
cp .yamato/config/Stevedore.conf ~/Stevedore.conf
cd external/buildscripts
./bee
cd ../..

perl external/buildscripts/build_classlibs_osx.pl --stevedorebuilddeps=1
if [ $? -eq 0 ]
then
echo "mono build script ran successfully"
else
echo "mono build script failed" >&2
exit 1
fi

mkdir -p incomingbuilds/classlibs
cp -r ZippedClasslibs.tar.gz incomingbuilds/classlibs/
cd incomingbuilds/classlibs
tar -pzxf ZippedClasslibs.tar.gz
rm -f ZippedClasslibs.tar.gz
cd ../..
15 changes: 15 additions & 0 deletions .yamato/build_osx_classlibs.yml
Original file line number Diff line number Diff line change
@@ -0,0 +1,15 @@
name: build_osx_classlibs

agent:
type: Unity::VM::osx
image: platform-foundation/mac-bokken:latest
flavor: m1.mac

commands:
- .yamato/build_osx_classlibs.sh


artifacts:
classlibs:
paths:
- incomingbuilds/classlibs/**
17 changes: 17 additions & 0 deletions .yamato/build_osx_runtime.sh
Original file line number Diff line number Diff line change
@@ -0,0 +1,17 @@
git submodule update --init --recursive
cp .yamato/config/Stevedore.conf ~/Stevedore.conf
cd external/buildscripts
./bee
cd ../..

perl external/buildscripts/build_runtime_osx.pl --stevedorebuilddeps=1
if [ $? -eq 0 ]
then
echo "mono build script ran successfully"
else
echo "mono build script failed" >&2
exit 1
fi

mkdir -p incomingbuilds/osx-i386
cp -r builds/* incomingbuilds/osx-i386/
14 changes: 14 additions & 0 deletions .yamato/build_osx_runtime.yml
Original file line number Diff line number Diff line change
@@ -0,0 +1,14 @@
name: build_osx_runtime

agent:
type: Unity::VM::osx
image: platform-foundation/mac-bokken:latest
flavor: m1.mac

commands:
- .yamato/build_osx_runtime.sh

artifacts:
osx-i386:
paths:
- incomingbuilds/osx-i386/**
12 changes: 12 additions & 0 deletions .yamato/build_win.bat
Original file line number Diff line number Diff line change
@@ -0,0 +1,12 @@
@echo off
git submodule update --init --recursive

perl external/buildscripts/build_runtime_win64.pl --stevedorebuilddeps=1
if NOT %errorlevel% == 0 (
echo "mono build script failed"
EXIT /B %errorlevel%
)
echo "mono build script ran successfully"

md incomingbuilds\win64
xcopy /s /e /h /y builds\* incomingbuilds\win64
14 changes: 14 additions & 0 deletions .yamato/build_win.yml
Original file line number Diff line number Diff line change
@@ -0,0 +1,14 @@
name: build_win

agent:
type: Unity::VM
image: platform-foundation/windows-mono-bokken:latest
flavor: b1.xlarge

commands:
- .yamato/build_win.bat

artifacts:
win64:
paths:
- incomingbuilds\win64\**
12 changes: 12 additions & 0 deletions .yamato/build_win_bare_minimum.bat
Original file line number Diff line number Diff line change
@@ -0,0 +1,12 @@
@echo off
git submodule update --init --recursive

perl external/buildscripts/build_unityscript_bareminimum_win.pl
if NOT %errorlevel% == 0 (
echo "mono build script failed"
EXIT /B %errorlevel%
)
echo "mono build script ran successfully"

md incomingbuilds\bareminimum
xcopy /s /e /h /y builds\* incomingbuilds\bareminimum
14 changes: 14 additions & 0 deletions .yamato/build_win_bare_minimum.yml
Original file line number Diff line number Diff line change
@@ -0,0 +1,14 @@
name: build_win_bare_minimum

agent:
type: Unity::VM
image: platform-foundation/windows-mono-bokken:latest
flavor: b1.xlarge

commands:
- .yamato/build_win_bare_minimum.bat

artifacts:
bareminimum:
paths:
- incomingbuilds\bareminimum\**
12 changes: 12 additions & 0 deletions .yamato/build_win_x86.bat
Original file line number Diff line number Diff line change
@@ -0,0 +1,12 @@
@echo off
git submodule update --init --recursive

perl external/buildscripts/build_runtime_win.pl --stevedorebuilddeps=1
if NOT %errorlevel% == 0 (
echo "mono build script failed"
EXIT /B %errorlevel%
)
echo "mono build script ran successfully"

md incomingbuilds\win32
xcopy /s /e /h /y builds\* incomingbuilds\win32
14 changes: 14 additions & 0 deletions .yamato/build_win_x86.yml
Original file line number Diff line number Diff line change
@@ -0,0 +1,14 @@
name: build_win_x86

agent:
type: Unity::VM
image: platform-foundation/windows-mono-bokken:latest
flavor: b1.xlarge

commands:
- .yamato/build_win_x86.bat

artifacts:
win32:
paths:
- incomingbuilds\win32\**
5 changes: 5 additions & 0 deletions .yamato/collate_builds.sh
Original file line number Diff line number Diff line change
@@ -0,0 +1,5 @@
sudo apt-get install -qy zip unzip
sudo apt-get install -qy p7zip-full p7zip-rar
perl external/buildscripts/collect_allbuilds.pl
pwd
ls -al
36 changes: 36 additions & 0 deletions .yamato/collate_builds.yml
Original file line number Diff line number Diff line change
@@ -0,0 +1,36 @@
name: collate_builds

agent:
type: Unity::VM
image: cds-ops/ubuntu-18.04-agent:v1.0.11-765607
flavor: b1.large

dependencies:
- .yamato/build_android.yml
- .yamato/build_linux_x64.yml
- .yamato/build_linux_x86.yml
- .yamato/build_osx_classlibs.yml
- .yamato/build_osx_runtime.yml
- .yamato/build_win.yml
- .yamato/build_win_bare_minimum.yml
- .yamato/build_win_x86.yml

commands:
- .yamato/collate_builds.sh

triggers:
branches:
only:
- "/.*/"
recurring:
- branch: unity-master
frequency: weekly

artifacts:
builds:
paths:
- collectedbuilds/builds.7z
stevedore:
paths:
- stevedore/MonoBleedingEdge.7z
- stevedore/artifactid.txt
11 changes: 11 additions & 0 deletions .yamato/config/LinuxBuildEnvironment-20170609.conf
Original file line number Diff line number Diff line change
@@ -0,0 +1,11 @@
[LinuxBuildEnvironment-20170609]
description=Unity Linux SDK 20170609
directory=/home/bokken/build/output/Unity-Technologies/mono/external/buildscripts/artifacts/Stevedore/linux-sdk-20170609/linux-sdk-20170609/LinuxBuildEnvironment-20170609
personality=linux
users=bokken,builduser
groups=sudo
root-groups=sudo
preserve-environment=true
type=directory
profile=linux-sdk-20170609
script-config=linux-sdk-20170609/config
34 changes: 34 additions & 0 deletions .yamato/config/Stevedore.conf
Original file line number Diff line number Diff line change
@@ -0,0 +1,34 @@
# ~/Stevedore.conf (contact: #devs-stevedore)
# Best practice config for Slough (SLO) machines

# Do not use OAuth interactive authorization
oauth.client-id =

# Prevent instabilities if artifacts are requested from the wrong
# repository (in which case a cache hit could mask the error).
cache-folder.group-by-repo = true

# No proxy needed to reach build farm mirror (and as of this writing,
# Stevedore does not support NO_PROXY).
proxy =

# The timeout limits time spent waiting for the HTTP response headers.
# For a cache miss, artifactory-slo won't respond until it has downloaded
# the entire artifact from the origin server. 100s should be enough for
# even the largest artifacts and a slow origin (e.g. 1 GB at 10 MB/s).
timeout = 100000

# For telemetry, we DO need proxy (and with a low 5s timeout)
telemetry = full
telemetry.proxy = http://proxy.bf.unity3d.com:3128
telemetry.tag = unity-rec-slo
telemetry.timeout = 5000

# Use mirror for retrieving all artifacts
repo.public.url = https://artifactory-slo.bf.unity3d.com/artifactory/public-generic-stevedore-public/
repo.main.url = https://artifactory-slo.bf.unity3d.com/artifactory/public-generic-stevedore-main/
repo.unity-internal.url = https://artifactory-slo.bf.unity3d.com/artifactory/public-generic-stevedore-unity-internal/
repo.testing.url = https://artifactory-slo.bf.unity3d.com/artifactory/public-generic-stevedore-testing/
repo.ms-consoles.url = https://artifactory-slo.bf.unity3d.com/artifactory/public-generic-stevedore-ms-consoles/
repo.sony-consoles.url = https://artifactory-slo.bf.unity3d.com/artifactory/public-generic-stevedore-sony-consoles/
repo.nintendo-consoles.url = https://artifactory-slo.bf.unity3d.com/artifactory/public-generic-stevedore-nintendo-consoles/
Loading

0 comments on commit 8630796

Please sign in to comment.